HUC     = 1
HAVE_IRQ = 1
                                                              
    .include "startup.asm"		


SATB_BASE 	.equ $7F00				

           .bss

;satb      .ds 512 ; the local RAM SATB Sprite list


; ----
; main

          
           .code
_main:
        
		   
		stw  #$1000, <_di
		lda  #bank(tiles_data)
		sta  <_bl
		stw  #tiles_data, <_si
		stw  #64, <_cx
		jsr  load_vram				; include library asm

                vsync
                map     tiles_pal
                set_bgpal #0, tiles_pal
 
                ldx     #8
                lda     #8 
                jsr     calc_vram_addr
                jsr     set_write
                
                vreg    #$02 

                st1     #$00
                st2     #$01

                st1     #$02
                st2     #$01

                st1     #$01
                st2     #$01

                st1     #$03
                st2     #$01

.anim:
		vsync							

        update_satb satb

        jmp   .anim

		   
	.data
	.bank 5
	.org $C000
tiles_pal:
	.incpal "tiles.pcx"
tiles_data: 
	.inctile "tiles.pcx"



    
